Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
PostGIS configure line for Mac OS X 10.6.8
export MACOSX_DEPLOYMENT_TARGET=10.6
export CFLAGS="-Os -arch i386 -arch x86_64"
export PG_CPPFLAGS="-arch i386 -arch x86_64"
export SHLIB_LINK="-arch i386 -arch x86_64"
export LDFLAGS="-arch i386 -arch x86_64"
./configure --with-pgconfig=/usr/local/pgsql/bin/pg_config --mandir=/usr/local/pgsql/share/man/ --with-geosconfig=/Library/Frameworks/GEOS.framework/unix/bin/geos-config --with-projdir=/Library/Frameworks/PROJ.framework/unix --with-gdalconfig=/Library/Frameworks/GDAL.framework/unix/bin/gdal-config
@jorgeas80

This comment has been minimized.

Copy link
Owner Author

commented Mar 9, 2012

PostgreSQL must be compiled with -arch i386 -arch x86_64 to make it work.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.